dmesg Error seen on system booting from Ubuntu18.04

Bug #1771555 reported by bugproxy on 2018-05-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
Medium
Canonical Kernel Team
Bionic
Medium
Canonical Kernel Team

Bug Description

Problem Description
===================
dmesg Error seen on system booting from Ubuntu18.04
Is this an issue?
[ 2.601750] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
[ 2.601754] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)

user1@yob45wos:~$ sudo dmesg --level=alert
user1@yob45wos:~$ sudo dmesg --level=crit
user1@yob45wos:~$ sudo dmesg --level=err
[ 3.382733] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
[ 3.382738] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)
[ 3.531263] vio vio: uevent: failed to send synthetic uevent
[ 4.521383] nouveau 0004:04:00.0: unknown chipset (140000a1)
[ 4.521889] nouveau 0035:03:00.0: unknown chipset (140000a1)
[ 4.634336] lpfc 0030:01:00.0: 0:6101 Disabling NVME support: Not supported by firmware: 0 0
[ 4.634416] lpfc 0030:01:00.0: 0:2574 IO channels: irqs 4 fcp 4 nvme 0 MRQ: 16
[ 5.646354] lpfc 0030:01:00.1: 1:6101 Disabling NVME support: Not supported by firmware: 0 0
[ 5.646420] lpfc 0030:01:00.1: 1:2574 IO channels: irqs 4 fcp 4 nvme 0 MRQ: 16
[ 6.944481] lpfc 0030:01:00.1: 1:1303 Link Up Event x1 received Data: x1 x0 x80 x0 x0 x0 0
[ 6.944634] lpfc 0030:01:00.0: 0:1303 Link Up Event x1 received Data: x1 x0 x80 x0 x0 x0 0
[ 22.109545] vio vio: uevent: failed to send synthetic uevent
user1@yob45wos:~$

>
> Problem Description
> ===================
> dmesg Error seen on system booting from Ubuntu18.04
> Is this an issue? These messages are seen on every IPL. Is there an issue?
> [ 2.601750] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
> [ 2.601754] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)

These messages should be marked as Warnings instead of Errors as they it supposedly a warning and not an error.
This was fixed in LP #1656908 / Bug 150596, but seeing it with 'dmesg --level=err' again in 18.04.
* In Ubuntu 17.04 : after reboot getting message in console like Unable to
open file: /etc/keys/x509_ima.der (-2) (LP: #1656908)
- SAUCE: ima: Downgrade error to warning

Mirroring this bug to distro to fix this in the latest kernel.

Thank you.

------- Comment From <email address hidden> 2018-05-16 07:43 EDT-------
cde00 (<email address hidden>) added native attachment /tmp/AIXOS07269201/file_166612.txt on 2018-05-16 06:43:46

tags: added: architecture-ppc64le bugnameltc-166612 severity-high targetmilestone-inin---
bugproxy (bugproxy) wrote : dmesg

Default Comment by Bridge

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1771555/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)
tags: added: bionic
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
status: New → Triaged
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built a Bionic test kernel. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1771555

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-image-unsigned, linux-modules and linux-modules-extra .deb packages.

Thanks in advance!

Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress

------- Comment From <email address hidden> 2018-06-13 08:02 EDT-------
(In reply to comment #12)
> I built a Bionic test kernel. The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1771555
>
> Can you test this kernel and see if it resolves this bug?
>
> Note about installing test kernels:
> ? If the test kernel is prior to 4.15(Bionic) you need to install the
> linux-image and linux-image-extra .deb packages.
> ? If the test kernel is 4.15(Bionic) or newer, you need to install the
> linux-image-unsigned, linux-modules and linux-modules-extra .deb packages.
>
> Thanks in advance!

Can we please get this kernel tested?

Thank you!

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Changed in linux (Ubuntu Bionic):
status: In Progress → Incomplete
Changed in linux (Ubuntu):
assignee: Joseph Salisbury (jsalisbury) → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → Canonical Kernel Team (canonical-kernel-team)
Manoj Iyer (manjo) on 2019-02-18
Changed in ubuntu-power-systems:
status: New → Incomplete
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Changed in ubuntu-power-systems:
importance: Undecided → High
Manoj Iyer (manjo) on 2019-03-04
tags: added: triage-r
Andrea Righi (arighi) wrote :

The following patch should be applied to downgrade the "integrity: Unable to open file:" errors:
https://lists.ubuntu.com/archives/kernel-team/2017-February/082526.html, as addressed in the duplicate bug #1766201.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments